%define pcscver %(rpm -q --qf %%{epoch}:%%{version} pcsc-lite-libs)
%{!?perl_vendorarch: %define perl_vendorarch %(eval "`%{__perl} -V:installvendorarch`"; echo $installvendorarch)}

Name:           pcsc-perl
Version:        1.3.1
Release:        0.fdr.3.1
Epoch:          0
Summary:        PC/SC library for Perl

Group:          Development/Libraries
License:        GPL
URL:            http://ludovic.rousseau.free.fr/softwares/pcsc-perl/
Source0:        http://ludovic.rousseau.free.fr/softwares/pcsc-perl/pcsc-perl-1.3.1.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  perl >= 1:5.6.1, pcsc-lite-devel
Requires:       pcsc-lite-libs = %{pcscver}
Requires:  perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
This library allows to intercate with a smart card and pcsc-lite using
the Perl language.


%prep
%setup -q
chmod 644 examples/* # avoid dependencies


%build
CFLAGS="$RPM_OPT_FLAGS" %{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags} OPTIMIZE="$RPM_OPT_FLAGS"


%install
rm -rf $RPM_BUILD_ROOT
make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -a \( -name .packlist \
  -o \( -name '*.bs' -a -empty \) \) -exec rm -f {} ';'
find $RPM_BUILD_ROOT -type d -depth -exec rmdir {} 2>/dev/null ';'
chmod -R u+w $RPM_BUILD_ROOT/*


%check || :
# skipping tests


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc Changelog LICENCE README examples
%{perl_vendorarch}/auto/Chipcard
%{perl_vendorarch}/Chipcard
%{_mandir}/man3/*.3*


%changelog
* Wed May 12 2004 Ville Skyttä <ville.skytta at iki.fi> - 0:1.3.1-0.fdr.3
- BuildRequire perl >= 1:5.6.1 for vendor install dir support.
- Use pure_install to avoid perllocal.pod workarounds.

* Sun Apr 25 2004 Ville Skyttä <ville.skytta at iki.fi> - 0:1.3.1-0.fdr.2
- Require perl(:MODULE_COMPAT_*).

* Fri Apr  2 2004 Ville Skyttä <ville.skytta at iki.fi> - 0:1.3.1-0.fdr.1
- Update to 1.3.1.

* Sun Feb  8 2004 Ville Skyttä <ville.skytta at iki.fi> - 0:1.3.0-0.fdr.2
- Reduce directory ownership bloat.

* Wed Dec 17 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:1.3.0-0.fdr.1
- Update to 1.3.0.

* Sun Sep 14 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:1.2.2-0.fdr.4
- More spec cleanups.

* Wed Aug 27 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:1.2.2-0.fdr.3
- Spec cleanups, install into vendor dirs.

* Fri Jul  4 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:1.2.2-0.fdr.2
- Fix dir ownerships, non-root strip during build.

* Thu May 29 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:1.2.2-0.fdr.1
- Update to 1.2.2.
- Drop patch and hacks, already applied/fixed upstream.

* Sun May 25 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:1.2.1-0.fdr.1
- Update to 1.2.1.
- Fix build and runtime dependencies.

* Thu May 22 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:1.2.0-0.fdr.1
- First build.
